Subject: bug#73522: closed (Re: [bug#73522] [PATCH games-team 06/14] gnu: retroarch: Clean-up source from extraneous bundled libraries.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 06 Oct 2024 16:28:02 +0000

Your bug report

#73522: [PATCH 0/6] Package and use RetroArch assets, plus other improvements.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73522: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73522
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#73522] [PATCH games-team 06/14] gnu: retroarch: Clean-up source from extraneous bundled libraries.
From: Maxim Cournoyer <[email-masked]>
To: Liliana Marie Prikler <[email-masked]>
Cc: [email-masked], Sergey Trofimov <[email-masked]>,宋文武 <[email-masked]>, Adam Faiz <[email-masked]>
Date: Mon, 07 Oct 2024 01:26:29 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi again,

Maxim Cournoyer <[email-masked]> writes:

[...]

>> Can we unvendor spirv-cross?
>
> It could be done, but it'd have to be new development as their build
> system doesn't currently support it.  I'll give it another try right
> now, but if it becomes too much work, I'll drop it.

I've spent the evening on it, but in the end it works!

>>> +                            "discord-rpc"   ;used in
>>> network/discord.h
>> Can we drop this discord thing?
>
> Not easily, no.  I had checked and there's no switch to opt out in the
> build system.

Actually I was wrong, after getting more knowledgeable about its
'quickbuild / qb' build configure script. I could pass --disable-discord
and a bunch of others to remove support provided via bundled libraries.

I've now push the series (see commit 3e9ebe7f28 and previous ones) with
these changes; you are welcome to inspect the result and let me know if
something is amiss.

Thanks for the review.

Happy hacking!

-- 
Maxim

Subject: [PATCH 0/6] Package and use RetroArch assets, plus other improvements.
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Cc: Maxim Cournoyer <[email-masked]>
Date: Sat, 28 Sep 2024 09:29:26 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Testing RetroArch, I wondered why the UI was so unappealing, with black boxes
where there should have been icons and pixelated text.  It was difficult to
comprehend the interface.

Researching a bit, I've found the 'assets' are actually needed for the various
menu modes of RetroArch to render correctly; I've thus packaged them, and
devised a way to discover them in a way that will be immune to going stale
(RetroArch always saves a configuration file upon exists, and persists any
settings used -- the environment variable mechanism devised thus had to
override a value found in the ~/.config/retroarch/retroarch.cfg file).

Maxim Cournoyer (6):
  gnu: Add retroarch-assets.
  gnu: retroarch: Use gexps.
  gnu: retroarch: Add missing inputs, upgrade Qt to version 6.
  gnu: retroarch: Clean-up source from extraneous bundled libraries.
  gnu: retroarch: Add search-path support for assets discovery.
  gnu: retroarch: Really disable online fetching of cores and resources.

 gnu/local.mk                                  |   1 +
 gnu/packages/emulators.scm                    | 169 +++++++++++++-----
 .../retroarch-improved-search-paths.patch     | 132 ++++++++++++++
 3 files changed, 260 insertions(+), 42 deletions(-)
 create mode 100644 gnu/packages/patches/retroarch-improved-search-paths.patch

base-commit: a4ea332bc219e14560d3a5daaa658425d898ec37
-- 
2.46.0